
From: Roger Luethi <rl@hellgate.ch>

HAS_IP_COPYSUM has been utterly meaningless for a long time.


Signed-off-by:  Andrew Morton <akpm@osdl.org>
---
 25-akpm/drivers/net/epic100.c           |    5 -----
 25-akpm/drivers/net/natsemi.c           |    5 -----
 25-akpm/drivers/net/tulip/winbond-840.c |    6 ------
 25-akpm/drivers/net/yellowfin.c         |    5 -----
 4 files changed, 21 deletions(-)
diff -puN drivers/net/epic100.c~nuke-has_ip_copysum-for-net-drivers drivers/net/epic100.c
--- 25/drivers/net/epic100.c~nuke-has_ip_copysum-for-net-drivers	2004-05-25 20:43:29.928917496 -0700
+++ 25-akpm/drivers/net/epic100.c	2004-05-25 20:43:29.938915976 -0700
@@ -1277,13 +1277,8 @@ static int epic_rx(struct net_device *de
 							    ep->rx_ring[entry].bufaddr,
 							    ep->rx_buf_sz,
 							    PCI_DMA_FROMDEVICE);
-#if 1 /* HAS_IP_COPYSUM */
 				eth_copy_and_sum(skb, ep->rx_skbuff[entry]->tail, pkt_len, 0);
 				skb_put(skb, pkt_len);
-#else
-				memcpy(skb_put(skb, pkt_len), ep->rx_skbuff[entry]->tail,
-					   pkt_len);
-#endif
 				pci_dma_sync_single_for_device(ep->pci_dev,
 							       ep->rx_ring[entry].bufaddr,
 							       ep->rx_buf_sz,
diff -puN drivers/net/natsemi.c~nuke-has_ip_copysum-for-net-drivers drivers/net/natsemi.c
--- 25/drivers/net/natsemi.c~nuke-has_ip_copysum-for-net-drivers	2004-05-25 20:43:29.930917192 -0700
+++ 25-akpm/drivers/net/natsemi.c	2004-05-25 20:43:29.940915672 -0700
@@ -1798,14 +1798,9 @@ static void netdev_rx(struct net_device 
 					np->rx_dma[entry],
 					buflen,
 					PCI_DMA_FROMDEVICE);
-#if HAS_IP_COPYSUM
 				eth_copy_and_sum(skb,
 					np->rx_skbuff[entry]->tail, pkt_len, 0);
 				skb_put(skb, pkt_len);
-#else
-				memcpy(skb_put(skb, pkt_len),
-					np->rx_skbuff[entry]->tail, pkt_len);
-#endif
 				pci_dma_sync_single_for_device(np->pci_dev,
 					np->rx_dma[entry],
 					buflen,
diff -puN drivers/net/tulip/winbond-840.c~nuke-has_ip_copysum-for-net-drivers drivers/net/tulip/winbond-840.c
--- 25/drivers/net/tulip/winbond-840.c~nuke-has_ip_copysum-for-net-drivers	2004-05-25 20:43:29.932916888 -0700
+++ 25-akpm/drivers/net/tulip/winbond-840.c	2004-05-25 20:43:29.941915520 -0700
@@ -1292,14 +1292,8 @@ static int netdev_rx(struct net_device *
 				pci_dma_sync_single_for_cpu(np->pci_dev,np->rx_addr[entry],
 							    np->rx_skbuff[entry]->len,
 							    PCI_DMA_FROMDEVICE);
-				/* Call copy + cksum if available. */
-#if HAS_IP_COPYSUM
 				eth_copy_and_sum(skb, np->rx_skbuff[entry]->tail, pkt_len, 0);
 				skb_put(skb, pkt_len);
-#else
-				memcpy(skb_put(skb, pkt_len), np->rx_skbuff[entry]->tail,
-					   pkt_len);
-#endif
 				pci_dma_sync_single_for_device(np->pci_dev,np->rx_addr[entry],
 							       np->rx_skbuff[entry]->len,
 							       PCI_DMA_FROMDEVICE);
diff -puN drivers/net/yellowfin.c~nuke-has_ip_copysum-for-net-drivers drivers/net/yellowfin.c
--- 25/drivers/net/yellowfin.c~nuke-has_ip_copysum-for-net-drivers	2004-05-25 20:43:29.934916584 -0700
+++ 25-akpm/drivers/net/yellowfin.c	2004-05-25 20:43:29.942915368 -0700
@@ -1201,13 +1201,8 @@ static int yellowfin_rx(struct net_devic
 					break;
 				skb->dev = dev;
 				skb_reserve(skb, 2);	/* 16 byte align the IP header */
-#if HAS_IP_COPYSUM
 				eth_copy_and_sum(skb, rx_skb->tail, pkt_len, 0);
 				skb_put(skb, pkt_len);
-#else
-				memcpy(skb_put(skb, pkt_len), 
-					rx_skb->tail, pkt_len);
-#endif
 				pci_dma_sync_single_for_device(yp->pci_dev, desc->addr,
 											   yp->rx_buf_sz,
 											   PCI_DMA_FROMDEVICE);
_
